Package org.apache.lucene.facet.sortedset

# Class SortedSetDocValuesReaderState.DimTree

java.lang.Object
org.apache.lucene.facet.sortedset.SortedSetDocValuesReaderState.DimTree

Enclosing class:
  `SortedSetDocValuesReaderState`

public static final class SortedSetDocValuesReaderState.DimTree extends Object
Holds children and sibling information for a single dimension. Only used with hierarchical dimensions.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `dimStartOrd`
  The first ord of the dimension

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DimTree(int dimStartOrd, List<Integer> sibling, List<Boolean> hasChildren)`
  Sibling and children must be of same length

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PrimitiveIterator.OfInt`
  `iterator()`
  Iterates through all first level children of dimension
  `PrimitiveIterator.OfInt`
  `iterator(int pathOrd)`
  Iterates through all children of given pathOrd

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dimStartOrd

    public final int dimStartOrd
    The first ord of the dimension

- ## Constructor Details

  - ### DimTree

    public DimTree(int dimStartOrd, List<Integer> sibling, List<Boolean> hasChildren)
    Sibling and children must be of same length

- ## Method Details

  - ### iterator

    public PrimitiveIterator.OfInt iterator()
    Iterates through all first level children of dimension

  - ### iterator

    public PrimitiveIterator.OfInt iterator(int pathOrd)
    Iterates through all children of given pathOrd